Bug 1267946 - apxs included in httpd24-httpd-devel-2.4.12-4.el6.x86_64 gives wrong output
apxs included in httpd24-httpd-devel-2.4.12-4.el6.x86_64 gives wrong output
Status: CLOSED WORKSFORME
Product: softwarecollections.org
Classification: Community
Component: httpd24 (Show other bugs)
1.0
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Web Stack Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-01 08:37 EDT by Mattias Borell
Modified: 2016-06-22 04:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 11:18:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mattias Borell 2015-10-01 08:37:04 EDT
Description of problem:
The command "apxs -q INCLUDEDIR" returns "/usr/include/httpd"
The result should be prefixed with "/opt/rh/httpd24/root" to work properly

Version-Release number of selected component (if applicable):
2.4.12-4.el6.x86_64

How reproducible:
apxs -q INCLUDEDIR

Steps to Reproduce:
1.
2.
3.

Actual results:
/usr/include/httpd

Expected results:
/opt/rh/httpd24/root/usr/include/httpd

Additional info:
Got stuck on this when building Shibboleth from source, took me a couple of hours to nail it down
Comment 1 Mattias Borell 2015-10-01 08:40:34 EDT
(In reply to Mattias Borell from comment #0)
> Description of problem:
> The command "apxs -q INCLUDEDIR" returns "/usr/include/httpd"
> The result should be prefixed with "/opt/rh/httpd24/root" to work properly
> 
> Version-Release number of selected component (if applicable):
> 2.4.12-4.el6.x86_64
> 
> How reproducible:
> apxs -q INCLUDEDIR
> 
> Steps to Reproduce:
> 1.
> 2.
> 3.
> 
> Actual results:
> /usr/include/httpd
> 
> Expected results:
> /opt/rh/httpd24/root/usr/include/httpd
> 
> Additional info:
> Got stuck on this when building Shibboleth from source, took me a couple of
> hours to nail it down

And before someone asks, I was using the right apxs:

/opt/rh/httpd24/root/usr/bin/apxs
Comment 2 Joe Orton 2016-05-12 11:13:49 EDT
I don't see this with the current RHSCL packages for RHEL6 or 7, can you still reproduce?

# rpm -q httpd24-httpd-devel
httpd24-httpd-devel-2.4.12-4.el6.2.x86_64
# scl enable httpd24 'apxs -q INCLUDEDIR'
/opt/rh/httpd24/root/usr/include/httpd
Comment 3 Joe Orton 2016-05-12 11:18:57 EDT
Ah, if you run apxs outside of the SCL environment it will fail like that, so long as RHEL httpd-devel and apr-devel are installed.

# /opt/rh/httpd24/root/usr/bin/apxs -q INCLUDEDIR
/usr/include/httpd

This is actually expected behaviour; if you don't use the scl wrapper, most bets are off.
Comment 4 Mattias Borell 2016-06-22 04:09:03 EDT
Yep, I had both the SCL httpd24 and the standard httpd environment installed.

I thought calling the binary/script with an absolute path would be enough, but that seems to not be the case... :-) Thanks for the clarification!

Note You need to log in before you can comment on or make changes to this bug.